Bug 55604 - Incorrect struct size when using property setter
Summary: Incorrect struct size when using property setter
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 5.0.0 (2017-02)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-04-26 04:47 UTC by Wonyoung Choi
Modified: 2017-05-23 06:43 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Wonyoung Choi 2017-04-26 04:47:48 UTC
If build with mcs following code including struct type with property setter, 
the size of the struct "MyStruct" is awalys to "1". 

Test.cs
============================================================================
namespace Test {
	public struct MyStruct {
		public int X {get; set;}
  }
}
============================================================================

# mcs -target:library Test.cs
# monodis Test.dll
============================================================================
...
.namespace Test
{
  .class public sequential ansi sealed beforefieldinit MyStruct
  	extends [mscorlib]System.ValueType
  {
    .pack 0
    .size 1
    .field  private  int32 '<X>k__BackingField'
    .custom instance void class [mscorlib]System.Runtime.CompilerServices.CompilerGeneratedAttribute::'.ctor'() =  (01 00 00 00 ) // ....
...
============================================================================
Comment 1 Marek Safar 2017-05-23 06:43:15 UTC
Fixed in master